[CentOS-devel] Python 2.4.3 deps issue.

Rabie Van der Merwe rvdmerwe at mhg.co.za
Fri Aug 7 09:24:08 UTC 2009


Hi,

I just noticed that while doing an update on one of my CO5.3 x86_64
boxes it listed that it want's to install a load of extra packages
(exhibit A)
I then traced this back to yum wanting to update python to
2.4.3-24.el5_3.6. 
However when I check one of my RHEL servers it did not have this
dependency (exhibit B) when I updated python.
Is this a bug in the CO package build?


Exhibit A:
Installing for dependencies:
 GConf2                                   x86_64
2.14.0-9.el5                              base               1.5 M
 ORBit2                                   x86_64
2.14.3-5.el5                              base               263 k
 alsa-lib                                 x86_64
1.0.17-1.el5                              base               414 k
 atk                                      x86_64
1.12.2-1.fc6                              base               224 k
 audiofile                                x86_64             1:0.2.6-5
base               107 k
 avahi-glib                               x86_64
0.6.16-1.el5_2.1                          update              14 k
 cdparanoia-libs                          x86_64
alpha9.8-27.2                             base                51 k
 esound                                   x86_64             1:0.2.36-3
base               130 k
 flac                                     x86_64
1.1.2-28.el5_0.1                          base               286 k
 gnome-keyring                            x86_64             0.6.0-1.fc6
base               166 k
 gnome-mime-data                          x86_64             2.4.2-3.1
base               691 k
 gnome-mount                              x86_64             0.5-3.el5
base                70 k
 gnome-vfs2                               x86_64
2.16.2-4.el5                              base               1.3 M
 gstreamer                                x86_64
0.10.20-3.el5                             base               756 k
 gstreamer-plugins-base                   x86_64
0.10.20-3.0.1.el5_3                       update             962 k
 gstreamer-plugins-good                   x86_64
0.10.9-1.el5_3.2                          update             984 k
 gstreamer-plugins-good-devel             x86_64
0.10.9-1.el5_3.2                          update             161 k
 gstreamer-tools                          x86_64
0.10.20-3.el5                             base                18 k
 gtk2                                     x86_64
2.10.4-20.el5                             base               6.5 M
 hicolor-icon-theme                       noarch             0.9-2.1
base                25 k
 libIDL                                   x86_64             0.8.7-1.fc6
base                87 k
 libXcursor                               x86_64             1.1.7-1.1
base                32 k
 libXfixes                                x86_64             4.0.1-2.1
base                15 k
 libXinerama                              x86_64             1.0.1-2.1
base               9.8 k
 libXrandr                                x86_64             1.1.1-3.1
base                15 k
 libXres                                  x86_64             1.0.1-3.1
base                14 k
 libXv                                    x86_64             1.0.1-4.1
base                14 k
 libart_lgpl                              x86_64             2.3.17-4
base                75 k
 libavc1394                               x86_64             0.5.3-1.fc6
base                45 k
 libbonobo                                x86_64
2.16.0-1.fc6                              base               521 k
 libbonoboui                              x86_64
2.16.0-1.fc6                              base               394 k
 libdv                                    x86_64
0.104-4.fc6.1                             base                78 k
 libglade2                                x86_64             2.6.0-2
base                96 k
 libgnome                                 x86_64
2.16.0-6.el5                              base               860 k
 libgnomecanvas                           x86_64             2.14.0-4.1
base               224 k
 libgnomeui                               x86_64
2.16.0-5.el5                              base               984 k
 libiec61883                              x86_64
1.0.0-11.fc6                              base                37 k
 libnotify                                x86_64             0.4.2-6.el5
base                38 k
 libogg                                   x86_64
2:1.1.3-3.el5                             base                18 k
 liboil                                   x86_64             0.3.8-2.1
base               136 k
 libraw1394                               x86_64             1.3.0-1.el5
base                41 k
 libtheora                                x86_64             1.0alpha7-1
base               706 k
 libvorbis                                x86_64
1:1.1.2-3.el5_1.2                         base               219 k
 libwnck                                  x86_64
2.16.0-4.fc6                              base               185 k
 notification-daemon                      x86_64             0.3.5-9.el5
base                48 k
 pkgconfig                                x86_64
1:0.21-2.el5                              base                61 k
 shared-mime-info                         x86_64             0.19-5.el5
base               149 k
 speex                                    x86_64
1.0.5-4.el5_1.1                           base               207 k
 startup-notification                     x86_64             0.8-4.1
base                32 k


Exhibit B:
---> Package python.x86_64 0:2.4.3-24.el5_3.6 set to be updated
filelists.xml.gz
|  22 kB     00:00     
filelists.xml.gz
| 2.1 MB     00:01     
filelists.xml.gz
| 153 kB     00:00     
--> Processing Dependency: /usr/lib64/python2.4 for package:
gamin-python
--> Processing Dependency: /usr/lib64/python2.4 for package:
libxml2-python
--> Restarting Dependency Resolution with new changes.

Regards
Rabie van der Merwe
Infrastructure Architect

********************************************************************** 
--------- 
NOTICE 
---------

This message (including attachments) contains privileged and confidential information intended only for the person or entity to which it is addressed. 

Any review, retransmission, dissemination, copy or other use of, or taking of any action in reliance upon this information by persons or entities other than the intended recipient, is prohibited.

If you received this message in error, please notify the sender immediately by e-mail, facsimile or telephone and thereafter delete the material from any computer.

Metropolitan Health Group, its subsidiaries or associates, does not accept liability for any personal views expressed in this message.

Metropolitan Health Group
PO Box 4313 Cape Town 8000 Tel: (021) 480 4511 Fax: (021) 480 4535 www.mhg.co.za 

 

********************************************************************** 


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos-devel/attachments/20090807/caec0729/attachment.html 


More information about the CentOS-devel mailing list